Subject: Re: [PATCH] Move serial_dev_init to device_initcall()

From: Olof Johansson <[email-masked]>
Date: Wed, 29 Aug 2007 17:52:10 -0500

On Wed, Aug 22, 2007 at 07:26:37PM -0500, Olof Johansson wrote:
> With the I/O space rewrite by BenH, the legacy_serial serial_dev_init()
> initcall is now called before I/O space is setup, but it's dependent on
> it being available.
> 
> Since there's no way to make dependencies between initcalls, we'll just
> have to move it to device_initcall(). Yes, it's suboptimal but I'm not
> aware of any better solution at this time.

Paul, could we get this into 2.6.23? It's a regression from before.

Andy Fleming reported no problems on the MMIO-based UART board he tested
with, and Milton said the patch didn't break qemu/prep that has PIO UART
(he hasn't yet tested to see if it's really required there though).

-Olof